function DNDeta = fillValDYFF3q1(xi, eta, zeta)
% DNDeta = fillValDYFF3q1(xi, eta, zeta)
% DNDeta = diff(N,eta) en el punto de cordenadas naturales (xi, eta, zeta)
% N: funcion de forma del elemento finito hexaedrico trilineal

% Coordenadas naturales de los nodos
P = [-1 -1 -1
    1 -1 -1
    1 1 -1
    -1 1 -1
    -1 -1 1
    1 -1 1
    1 1 1
    -1 1 1];

xinodo = P(:,1);
etanodo = P(:,2);
zetanodo = P(:,3);

DNDeta = (1+xinodo*xi).*etanodo.*(1+zetanodo*zeta)/8;